fix historic NomenclaturalCodeEdition names ICN -> ICBN
Description

As of 2012 the IAPT has renamed the code editions to ICN, older code editions like the Vienna code and former releases are named
ICBN.

In the NomenclaturalCodeEdition the enum names of botanical codes erroneously all have the abbreviation ICN.

The names of historic editions should be fixed.

Related issues:

Related to EDIT - task #9617: Rename ICNB to ICNP Closed
Related to EDIT - feature request #9640: Updated List ICN/ICBN editions Closed
Related to EDIT - task #10302: Revise Status section Closed

Associated revisions

Revision a306e68c - 05/11/2021 06:01 PM - Andreas Miiller

ref #9618 add NomenclaturalCodeEdition.abbrev (some abbrevs are still guesses)

History

#1 - 05/10/2021 04:35 PM - Andreas Kohlbecker
- Related to task #9617: Rename ICNB to ICNP added

#2 - 05/10/2021 05:16 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 5.25

NomenclaturalCodeEdition entry names are pure enum "names" not used for anything else. So we can rename them but there is no big need for this
as they should never be shown to the user in anyway. Having all the same prefix has a certain advantage for sorting. Needs discussion.

This differs from NomenclaturalCode, where the abbreviation is also used as a title that is shown to users (but there we only use the current code
abbreviation for pratical reasons.

#3 - 05/10/2021 05:18 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#4 - 05/11/2021 03:09 PM - Andreas Kohlbecker
- File picture859-1.png added

- Status changed from New to Feedback

Andreas Muller wrote:

NomenclaturalCodeEdition entry names are pure enum "names" not used for anything else. So we can rename them but there is no big need for
this as they should never be shown to the user in anyway. Having all the same prefix has a certain advantage for sorting. Needs discussion.

This differs from NomenclaturalCode, where the abbreviation is also used as a title that is shown to users (but there we only use the current
code abbreviation for pratical reasons.

These "practical" reasons lead to impractical result, as shown in this screen shot:
Icn 2017 shenzhen
Icn 2011 melbourne
Icn 2005 vienna

Icn 1999 st louis

Icn 1993 tokyo

Icn 1987 berlin

Icn 1981 sydney

Icn 1975 tokyo

Icn 1969 seattle

Icn 1952 stockholm

Icn 1935 cambridge

Icn 1905 vienna

Icn 1867 laws

There are indeed two problems as there is no way to get the correct representation of the code edition from one of both enums.

1. For many current codes the NomenclaturalCodeEdition enum name is the only source for the correct code acronym, like "ICN"
2. There is no way to get the correct code acronym for historic editions, as these are completely missing in the cdm.

Suggestion: We should extend the NomenclaturalCode by year range dependent representation, an additional getLabel methods would have a
second paramter:

getLabel (Integer year);
getLabel (Language language, Integer year);

that is NomenclaturalCode.ICNAFP.getLabel(2011) would return "ICN", whereas NomenclaturalCode.ICNAFP.getLabel(2005) would return "ICBN"

#5 - 05/11/2021 04:30 PM - Andreas Miiller

I was not in cc of this ticket anymore therefore | missed the discussion.

#6 - 05/11/2021 04:35 PM - Andreas Miiller
- File picture429-1.png added

But | do not understand what we need the abbreviation for. It is really an important information to show the abbreviation of the code? In the TaxEditor
we do it the following way:
which to me seems fully enough.

However, if there is a user requirement to show the historic code abbreviation then we should add it as a parameter in the enum (which is very easy
to create, once someone gives me the full list, e.g. for the 1867 code | have no idea what the abbrev is).

To misuse the enum name for this to me does not seem to be the correct way and is against the general CDM philosophy use enum names neither as
names nor as labels.

#7 - 05/11/2021 04:46 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller
The Taxeditor is not the only Ul we have. There is the Ul where | took the screenshot from, therefore | don't quite understand your point.

What if this information is to be shown the Data Portal, would you just write "Cambridge 1935" without stating which code this is about? This is for
sure not sufficient.

To misuse the enum name for this to me does not seem to be the correct way and is against the general CDM philosophy use enum names

neither as names nor as labels.

| don't understand why you repeat this point, this is already discussed to an end. | made a specific suggestion how this can be solved? Do you need
more details on this?

#8 - 05/11/2021 06:03 PM - Andreas Miiller

- Status changed from Feedback to Resolved

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

You mean the "Suggestion" above?

| do not understand why this needs to be a method for NomenclaturalCode.

Why not simply NomenclaturalCodeEditon.getLabel() . This is what | meant with "if there is a user requirement to show the historic code abbreviation
then we should add it as a parameter". | implemented it this way now.

But as | mentioned above | need a full list of all correct abbreviations for all codes. As long as this list does not exist the abbreviations may not be
correct.

#9 - 05/11/2021 06:57 PM - Andreas Miller

What if this information is to be shown the Data Portal, would you just write "Cambridge 1935" without stating which code this is about? This is
for sure not sufficient.

From my experience taxonomist say "Shenshen code" not "ICN 2017 Shenszhen" therefore | didn't expect that the abbreviation is needed. Also not
on the data portal. But | might be wrong.

Also in the phycobank editor | can't really see what the advantage is to add the code abbreviation in the drop down label. But this might become
clearer with the context which is missing on the screenshot.

Anyways, the problem should be solved now.
#10 - 05/12/2021 10:27 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

Solution accepted. Ticket can be closed.

#11 - 05/12/2021 10:48 AM - Andreas Miiller
Andreas Miller wrote:
But as | mentioned above | need a full list of all correct abbreviations for all codes. As long as this list does not exist the abbreviations may not be

correct.

This list does not yet exist. Henning, can you provide such a list?

#12 - 05/12/2021 11:04 AM - Andreas Kohlbecker

here is one kind of list https://www.iapt-taxon.org/historic/index.htm

#13 - 05/12/2021 11:27 AM - Wolf-Henning Kusber

Yes, will do two lissts, (i) a short citation, and (ii) correct citations with help of the literature in our library.

#14 - 05/12/2021 11:33 AM - Andreas Kohlbecker

diese Liste durfte vollstéandig sein https://www.iapt-taxon.org/historic/list-of-Codes.htm

#15 - 05/12/2021 11:40 AM - Andreas Muller

Andreas Kohlbecker wrote:

diese Liste durfte vollstandig sein https:/www.iapt-taxon.org/historic/list-of-Codes.htm

The list only includes botanical codes. All other codes are missing.

#16 - 05/12/2021 12:11 PM - Andreas Kohlbecker

Isn't this a good start? We can add more lists on demand.

#17 - 05/12/2021 12:19 PM - Andreas Miiller

Die Liste enthalt leider keine Abkirzungen, um die es aber gerade ging. Letztlich kann ich nur raten. War der "Vienna Code" ein Irbn? Es fehlen auch
die "Laws" von 1867.

#18 - 05/12/2021 12:23 PM - Andreas Miiller

Zudem die Frage, wie mit den Langformen umzugehen ist. Bislang hatten wir uns darauf geeinigt, lediglich DOIs oder URLs in die enum mit
aufzunehmen. Langformen sind deutlich problematischer wegen dem Formatierungsproblem. Wenn das wirklich notwendig ist, sollten wir daraus ein
separates Ticket machen. Dieses Ticket verstehe ich primar als Ticket fir Abklrzungen.

#19 - 05/12/2021 12:26 PM - Wolf-Henning Kusber

Rein inhaltlich. Mindestens fir das Projekt PhycoBank benétigen wir den Link zum Vollzitat. Ich gehe davon aus, das defaultméaBig nur das Kurzzitat
angezeigt werden soll.

#20 - 05/12/2021 03:16 PM - Andreas Kohlbecker
Andreas Muller wrote:
Die Liste enthalt leider keine Abkirzungen, um die es aber gerade ging.
Aus einem Chat mit Henning: "Prima, auf der Basis kénnen wir Kurzzitate erstellen. Da miissten Autor jahr, Kurzzitat, z.B. ICBN und Ort der
Konferenz und Jahr der Konferenz rein, eventuell kann man da noch kirzen."

Das ist also in Arbeit.

Letztlich kann ich nur raten.

musst du also nich ;-)

War der "Vienna Code" ein Irbn?
Hierbei steht "International Rules of Botanical Nomenclature" aslo eher nicht, ob das Akromyn nun IRBN ist wird Henning klaren.

Es fehlen auch die "Laws" von 1867.

Guter Hinweis und auch ein Task fur Henning.

#21 - 05/17/2021 09:52 AM - Andreas Muller

- Target version changed from Release 5.25 to Release 5.23

#22 - 05/21/2021 08:01 AM - Andreas Miiller

looks like the final list is still missing
#23 - 05/21/2021 08:55 AM - Andreas Kohlbecker
Andreas Muller wrote:

Andreas Kohlbecker wrote:

diese Liste durfte vollstandig sein https:/www.iapt-taxon.org/historic/list-of-Codes.htm

The list only includes botanical codes. All other codes are missing.

This ticket is only about the botanical codes.

Please create a new ticket for the full reference list of other codes if needed.

#24 - 06/01/2021 11:57 AM - Wolf-Henning Kusber
New Ticket: #9640

#25 - 06/01/2021 03:05 PM - Andreas Miiller
- Related to feature request #9640: Updated List ICN/ICBN editions added

#26 - 02/11/2022 02:25 PM - Andreas Kohlbecker
- Tags set to phycobank

#27 - 06/06/2023 07:47 PM - Andreas Miiller
- Related to task #10302: Revise Status section added

Files
picture429-1.png 10.2 KB 05/11/2021 Andreas Miller
